---
title: "operator-sdk completion"
---
## operator-sdk completion

Load completions for the specified shell

### Synopsis

Output shell completion code for the specified shell.
The shell code must be evaluated to provide interactive completion of operator-sdk commands.
Detailed instructions on how to do this for each shell are provided in their own commands.


### Options

```
  -h, --help   help for completion
```

### Options inherited from parent commands

```
      --plugins strings   plugin keys to be used for this subcommand execution
      --verbose           Enable verbose logging
```

### SEE ALSO

* [operator-sdk](../operator-sdk)	 - 
* [operator-sdk completion bash](../operator-sdk_completion_bash)	 - Load bash completions
* [operator-sdk completion fish](../operator-sdk_completion_fish)	 - Load fish completions
* [operator-sdk completion powershell](../operator-sdk_completion_powershell)	 - Load powershell completions
* [operator-sdk completion zsh](../operator-sdk_completion_zsh)	 - Load zsh completions

